import { useToken as a } from "@aplus-frontend/antdv/es/theme/internal";
import { ref as u, watch as p, computed as i, unref as m } from "vue";
import "../../config-provider/index.mjs";
import { renderWithColumns as l } from "../utils/renderer.mjs";
import { useNamespace as s } from "../../config-provider/hooks/use-namespace.mjs";
import { useGlobalConfig as f } from "../../config-provider/hooks/use-global-config.mjs";
const h = (e) => {
  const [, o] = a(), { be: t } = s("ap-grid"), n = f("valueTypeMap"), r = u(Date.now());
  return p(
    () => e.value,
    () => {
      r.value = Date.now();
    },
    {
      deep: !0
    }
  ), {
    renderConfig: i(() => l(
      e.value,
      o.value.colorTextTertiary,
      t("table-header", "title"),
      m(n)
    )),
    updateSignal: r
  };
};
export {
  h as useRenderColumns
};
